### Constructor

# Vips Source new_from_memory

#### Declaration [src]

    VipsSource*
    vips_source_new_from_memory (
      void* data,
      size_t length
    )

#### Description [src]

Create a source attached to an area of memory.

You must not free `data` while the source is active.

#### Parameters

`data`

  Type: `void*`

  Memory area to load.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

`length`

  Type: `size_t`

  Size of memory area.

#### Return value

Type: `VipsSource`

A new source.

The caller of the function takes ownership of the data, and is responsible for freeing it.